import javax.swing.JOptionPane;

/**
 * Essa classe visa ilustrar o uso de comentrios comuns
 * de documentao.
 * @author Rui Rossi dos Santos
 * @version 1
*/
public class Documentacao {
  /**
   * Armazena um texto qualquer.
   * @see java.lang.String
  */
  private String texto;
  
  /**
   * Construtor padro da classe. Ele atribui o contedo
   * de seu parmetro texto ao atributo texto da classe.
   * @param texto O texto a ser atribudo ao atributo texto.
  */
  public Documentacao(String texto) {
    this.texto = texto;
  }
  
  /**
   * Esse mtodo inverte o contedo do atributo texto.
   * @return Uma <code>String</code> com o contedo 
   * invertido do atributo texto.
  */
  public String inverso() {
    String str = "";
    for(int i = 0;i < texto.length(); i++)
      str = texto.charAt(i) + str;
    return str;
  }
  
  /**
   * Mtodo que torna esta classe executvel e permite test-la.
   * Cria uma instncia da classe Documentacao e a usa para
   * exibir o inverso da palavra informada.
   * @see javax.swing.JOptionPane
  */
  public static void main(String[] args) {
    String str = JOptionPane.showInputDialog("Informe uma palavra");
    if (str == null) System.exit(0);
    
    Documentacao dc = new Documentacao(str);
    str = dc.inverso();
    JOptionPane.showMessageDialog(null,str);
    System.exit(0);
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/